#!/bin/sh
set -e

dir=/srv/gems
pid=/tmp/geminabox.pid

cd ${dir}

for link in Gemfile Gemfile.lock .bundle config.ru; do
  test -e ${link} || ln -s ../${link} .
done

chown -R ruby:www-data ${dir}

case $1 in
  start)
    rm -f ${pid}
    daemonize -p ${pid} -l ${pid} -c ${dir} -u ruby /usr/bin/bundle exec rackup -o :: -p 9292
    ;;
  stop)
    test ! -f ${pid} || cat ${pid} | xargs -r kill
    rm -f ${pid}
    ;;
esac
